Package org.drinkless.tdlib

# Class TdApi.ChatMessageSenders

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatMessageSenders

Enclosing class:
  `TdApi`

public static class TdApi.ChatMessageSenders extends TdApi.Object
Represents a list of message senders, which can be used to send messages in a chat.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.ChatMessageSender[]`
  `senders`
  List of available message senders.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatMessageSenders()`
  Represents a list of message senders, which can be used to send messages in a chat.
  `ChatMessageSenders(TdApi.ChatMessageSender[] senders)`
  Represents a list of message senders, which can be used to send messages in a chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### senders

    public TdApi.ChatMessageSender[] senders
    List of available message senders.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatMessageSenders

    public ChatMessageSenders()
    Represents a list of message senders, which can be used to send messages in a chat.

  - ### ChatMessageSenders

    public ChatMessageSenders(TdApi.ChatMessageSender[] senders)
    Represents a list of message senders, which can be used to send messages in a chat.
    Parameters:
      `senders` - List of available message senders.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR